Subject: bug#60338: [PATCH] Add option to present server changes as diffs

From: João Távora <[email-masked]>
Date: Sun, 18 Jun 2023 23:37:04 +0100

On Sun, Jun 18, 2023 at 4:15 PM João Távora <[email-masked]> wrote:
>
> Philip Kaludercic <[email-masked]> writes:
>
> > João, do you have anything to add to this discussion?
>
> Yes, a bit.
>
> To the "should it use diff" objection, I think it's OK to keep it as is.
> Especially if we frame this new 'diff' value to Eglot's
> eglot-confirm-server-initiated-edits as a "Present changes as 'diff',
> and user takes it from there".  I'd say most programmers can read diffs
> and apply them by hand if required.

After thinking a bit, I realized I missed a point of Eli's objection
to the implementation of this.  It's that the 'diff' program is required
just to generate the presentation, not just to apply it.

But I don't see any other better ways to summarily present changes to
files.  Ediff maybe?  But that's not so good, and it requires splitting the
window and entering a transient mode.  And I'm not sure it doesn't rely
on the diff program itself (but haven't checked).

Anyway, who works with Emacs in a programming context -- which is
what LSP is mainly for -- that also doesn't have the diff program
for patches, vc-diff, etc?

João